offer_card:
  namespace: "Molecules/TM - Cards"
  use: "@molecules/tm-cards/offer-card/offer-card.twig"
  label: Offer Card
  description: Offer Card
  libraries:
    - offer_card_lib:
        css:
          component:
            ../styles/offer-card.css: { weight: 10 }

  fields:
    oid:
      type: text
      label: Offer ID
      preview: 123
    img_url:
      type: text
      label: Label
      description: The image url
      preview: "https://picsum.photos/560/320?rnd=a1"
    img_alt:
      type: text
      label: Label
      description: The alt text
      preview: "Logo of the Your County Pass"
    title:
      type: text
      label: Label
      description: The title
      preview: "Your County Pass"
    content:
      type: text
      label: Content
      description: Content
      preview:
        faker: lorem.paragraphs
    badge_text_top:
      type: text
      label: Label
      description: The offer text
      preview: "From just"
    badge_text_bottom:
      type: text
      label: Label
      description: The admission price
      preview: "£12.99"
    card_link:
      type: text
      label: Label
      description: The link URL
      preview: "www.train-operator.co.uk"
    location:
      type: text
      label: Label
      description: The link URL
      preview: "Waltham Cross"
    tags:
      type: object
      label: Label
      description: The filter links
      preview:
        - name: "Food, Drink & Shopping"
          url: "somewhere"
        - name: "Some More offer links"
          attr:
            data-this: that
            data-that: this
    badge_graphic_image:
      type: object
      label: Badge image
      description: "Use 'images/offers_image.png' for url"
      preview:
        url: ''
        alt: 'Kids go free'

  settings:
    show_itinerary:
      type: boolean
      label: Show itinerary
      preview: true
      default_value: true
